problem: !SequentialCoupling
  time: &anchor3
    end_time: 100.0
    init_dt: 5.0
  description: Test13 - mixing of substances on edges and quantitative test on trivial
    transport problem.
  mesh:
    mesh_file: input/Y_branch.msh
  primary_equation: !Steady_MH
    input_fields:
      - region: trunk
        anisotropy: 1.0
      - region: left_branch
        anisotropy: 1.0
      - region: right_branch
        anisotropy: 0.1
      - region: .trunk
        bc_type: dirichlet
        bc_pressure: 10
      - region: .left_branch
        bc_type: dirichlet
        bc_pressure: 5
      - region: .right_branch
        bc_type: dirichlet
        bc_pressure: -5
    output:
      output_stream: 
        file: test13.pvd
        format: !vtk
          variant: ascii
        name: flow_output_stream
      output_fields:
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance: true
    solver: !Petsc
      a_tol: 1.0e-12
      r_tol: 1.0e-12
  secondary_equation: !SoluteTransport_DG
    input_fields:
      - r_set: BULK
        init_conc: 0
      - region: .trunk
        bc_conc: 1
    output_stream: 
      file: transport_implicit.pvd
      format: !vtk
        variant: ascii
      time_step: 5
      name: transport_output_stream
    substances:
      - A
    time: *anchor3
    solver: !Petsc
      a_tol: 1.0e-12
      r_tol: 1.0e-12
    balance:
      cumulative: true